%global realname rtpproxy
%global debug_package %{nil}
%global git_tag 3b14dd4
%global patchnumber 0


Name:		erlrtpproxy
Version:	0.3.7
Release:	1%{?dist}
Summary:	RTP proxying daemon
Group:		Applications/Internet
License:	GPLv3+
URL:		http://code.google.com/p/erlrtpproxy/
# wget --no-check-certificate http://github.com/lemenkov/erlrtpproxy/tarball/erlrtpproxy-0.3.7
Source0:	lemenkov-%{name}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	erlang
BuildRequires:	erlang-erlsyslog
Requires:	erlang
Requires:	erlang-erlsyslog
Requires:	erlang-rtplib
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service


%description
RTP proxying daemon for OpenSER and compatible SIP-servers.


%prep
%setup -q -n lemenkov-%{name}-%{git_tag}


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || useradd -r -g %{name} -d %{_localstatedir}/lib/%{name} -s /bin/sh -c "RTP proxying daemon" %{name}
exit 0


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 = 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1
        /sbin/chkconfig --del %{name}
fi


%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart >/dev/null 2>&1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.config
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_app.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_ctl.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_sup.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_utils.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/media.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/y.beam

%dir %attr(0755,%{name},%{name}) %{_localstatedir}/lib/%{name}
%config(noreplace) %attr(0600,%{name},%{name}) %{_localstatedir}/lib/%{name}/.erlang.cookie
%config(noreplace) %attr(0644,%{name},%{name}) %{_localstatedir}/lib/%{name}/.hosts.erlang


%changelog
* Mon Aug 08 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.3.7-1
- Ver. 0.3.7
